package require txmbox
package require tile

set txmbox::TxMessageBox(Button.relief)		    groove
set txmbox::TxMessageBox(Button.fg)		        white
set txmbox::TxMessageBox(Button.bg)		        #006DB3
set txmbox::TxMessageBox(Button.activebg)	    #A2DBA6
set txmbox::TxMessageBox(Button.hlwidth)	    0
set txmbox::TxMessageBox(Font)					"courier new"
set txmbox::TxMessageBox(FontSize)				10

button .exit -text "EXIT" -command {exit}
pack .exit

set message "This is a test of the txmbox messageBox widget. It's a very enhanced version of the standard tk_messageBox.\n"

set addedText "I will now programmatically press the 2nd button and the dialog will vanish!"

set w [ txmbox::messageBox	-message $message \
				-icon warning \
				-type custom \
				-typebuttons [list First {Granny's "12+" children are [bad]!} Third] \
				-buttons pressThem \
				-width 50 \
				-timeout 20 \
				-font { "times new roman" 14 normal bold } \
				-showtime true \
				-wait false ]
				
after 5000 {txmbox::addToMsgBox $txmbox::TxMessageBox(LastName) $addedText blue #e0f000}
after 6000 {txmbox::changeMsgBoxButtonLabel $txmbox::TxMessageBox(LastName) First "Trouble is"}
after 8000 {txmbox::changeMsgBoxButtonLabel $txmbox::TxMessageBox(LastName) First Here}

after 15000 {eval [lindex $pressThem 1]}

after 16000 {txmbox::messageBox	-message "The button that was pressed was: $txmbox::TxMessageBox(Button.$w)\n\nIs that acceptable?" \
				-icon question \
				-title "Button Info" \
				-type yesno \
				-wait true }

